Name:           python-extras
Version:        1.0.0
Release:        6
Summary:        A set of extensions to the python standard library
License:        MIT
URL:            https://github.com/testing-cabal/extras
Source0:        https://pypi.io/packages/source/e/extras/extras-%{version}.tar.gz
BuildArch:      noarch

%description
python-extras is a set of extensions to the standard library.

%package -n python2-extras
Summary:        A set of extensions to the python2 standard library
BuildRequires:  python2-devel python2-setuptools python2-testtools
%{?python_provide:%python_provide python2-extras}

%description -n python2-extras
python2-extras is a set of extensions to the standard library.

%package -n python3-extras
Summary:        A set of extensions to the python3 standard library
BuildRequires:  python3-devel python3-setuptools python3-testtools
%{?python_provide:%python_provide python3-extras}

%description -n python3-extras
python3-extras is a set of extensions to the standard library.

%prep
%autosetup -n extras-%{version}
rm -vrf *.egg-info
%build
%py2_build
%py3_build
%install
%py2_install
%py3_install
%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-extras
%doc LICENSE NEWS README.rst
%{python2_sitelib}/extras/
%{python2_sitelib}/extras-*.egg-info/

%files -n python3-extras
%doc LICENSE NEWS README.rst
%{python3_sitelib}/extras/
%{python3_sitelib}/extras-*.egg-info/

%changelog
* Mon Nov 25 2019 Ling Yang <lingyang2@huawei.com> - 1.0.0-6
- Package init
